Alokai

SubmitPaymentDetailsProperties

Properties for mounting Adyen's Drop-in to the DOM.

export interface SubmitPaymentDetailsProperties {
	adyenConfiguration: CoreConfiguration;
	redirectResult: string;
	sessionId: string;
}

Properties

NameRequiredTypeDescription
adyenConfigurationRequiredCoreConfigurationAn object containing the configuration that will be passed to the AdyenCheckout when creating it's instance. You can read more about available properties here.
redirectResultRequiredstringThe redirectResult field attached as a URL query param by Adyen while redirecting back from the external payment page.
sessionIdRequiredstringThe sessionId field attached as a URL query param by Adyen while redirecting back from the external payment page.

Referenced Types

  • CoreConfiguration

On this page